<?php
// Software released under the General Public License (version 2 or later), available at
// http://www.gnu.org/copyleft/gpl.html
/****************************************************************************************
Contains general constants related to space

@license  GPL
@author   <a href="http://www.tig12.net">Thierry Graff</a>
@history 2007.02.26 : PHP5 port from java : jephem.astro.spacetime.SpaceConstants.java
@history 2001 : Creation
****************************************************************************************/

interface SpaceConstants{
  
  /** Value of light velocity, (value UAI 1976 : 299792458 km.s<SUP>-1</SUP>). */
  const LIGHT_VELOCITY = 299792458; // could be in TimeConstants
  
  //****************************************************
  // Constants to desingate spherical / cartesian.
  //****************************************************
  /** Constant designating the cartesian way to express coordinates. */
  const CARTESIAN = 0;
  /** Constant designating the spherical way to express coordinates. */
  const SPHERICAL = 1;
  
  /** Value of an astronomical unit, in km (IERS 1992). */
  const KM_PER_AU = 149597870.61;

}// end class SpaceC
?>
